{% set callouts = ['success','info','warning','danger'] %}

{% set icons =
    {
        'success' : 'checkmark',
        'info'    : 'information',
        'warning' : 'warning',
        'danger'  : 'alert',
    }
%}

{% for type in callouts %}
    {% if flash.getMessage(type) %}
        {% for message in flash.getMessage(type) %}
            <div id="passwordCallOut" style="z-index: 1000" class="callout callout-{{ type }}">
                {% if type == 'success' %}
                    <div class="small-box" style="margin: 0">
                        <div class="inner">
                            <h4>
                                {{ trans('callouts.pwd-reset.success.title') }}
                            </h4>
                            <p>
                                {{ trans('callouts.pwd-reset.success.message') }}
                            </p>
                        </div>
                        <div class="icon">
                            {% for callout, icon in icons %}
                                {% if type == callout %}
                                    <i class="ion ion-{{ icon }}"></i>
                                {% endif %}
                            {% endfor %}
                        </div>
                        <a href="#" class="small-box-footer">
                            {{ trans('callouts.pwd-reset.success.btn-txt') }}
                        </a>
                    </div>
                {% else %}
                    <div class="small-box" style="margin: 0">
                        <div class="inner">
                            <h4>
                                {{ trans('callouts.pwd-reset.danger.title') }}
                            </h4>
                            <p>
                                {{ trans('callouts.pwd-reset.danger.message') }}
                            </p>
                        </div>
                        <div class="icon">
                            {% for callout, icon in icons %}
                                {% if type == callout %}
                                    <i class="ion ion-{{ icon }}"></i>
                                {% endif %}
                            {% endfor %}
                        </div>
                        <a href="#" class="small-box-footer">
                            {{ trans('callouts.pwd-reset.danger.btn-txt') }}
                        </a>
                    </div>
                {% endif %}
            </div>
        {% endfor %}
    {% endif %}
{% endfor %}